package loja.ejb;

import javax.ejb.*;
import java.math.BigDecimal;
import java.util.Collection;

public interface CompraLocalHome extends EJBLocalHome {

	public CompraLocal create(String numero) throws CreateException;
	
	public CompraLocal findByPrimaryKey(CompraPK pk) throws FinderException;
	public Collection findAll() throws FinderException;
	public Collection findByStatus(String status) throws FinderException;
	public Collection findByTotal(BigDecimal minimo, BigDecimal maximo) throws FinderException;
	public String getProximoNumero();
}
