package loja;

import javax.ejb.*;
import java.util.Collection;

public interface ProdutoLocalHome extends EJBLocalHome {
    ProdutoLocal create(String codigo, String nome, double preco, int quantidade) throws CreateException;
    public ProdutoLocal findByPrimaryKey(ProdutoPK key) throws FinderException;
    public Collection findByNome(String name) throws FinderException;
    public Collection findByPreco(double min, double max) throws FinderException;
    public Collection findAllProdutos() throws FinderException;

	public String getProximoCodigo();
}

