package loja.client;

import loja.*;
import loja.ejb.*;
import loja.integration.*;
import java.util.*;

import java.math.BigDecimal;

public class Client {
	
	public static void main(String[] args) throws LojaException, javax.ejb.CreateException, java.rmi.RemoteException {
		ServiceLocator locator = ServiceLocator.getInstance();
		SessionFacadeHome home = (SessionFacadeHome) 
			locator.findRemoteEJB("ejb/loja/session", loja.ejb.SessionFacadeHome.class);
		SessionFacade bean = home.create();
		bean.criarProduto("Teste", 123.5, 5);
		bean.criarProduto("OutroTeste", 999.9, 1);
		ProdutoVO[] vo = bean.listarProdutosDisponiveis();
		for (int i = 0; i < vo.length; i++) {
			System.out.println("Produto: " + vo[i].getNome());
		}
	}
}
