package loja.integration;

import loja.*;

public interface ItemDAO {
	public String criarNumero() throws LojaException;
	public String create(ItemVO item) throws LojaException;
	public void remove(String codigo) throws LojaException;
	public ItemVO load(String codigo) throws LojaException;
	public void store(ItemVO item) throws LojaException;
	
	public boolean exists(String codigo) throws LojaException;
	public String[] getAll() throws LojaException;
	public String[] getByCompra(String compraId) throws LojaException;
	public String[] getByProduto(String produtoId) throws LojaException;
}
